## Global settings for the Maatkit provider - Requires holland-maatkit
##
## Unless overwritten, all backup-sets implementing this provider will use
## the following settings.

[maatkit]

## One of: flush-lock, lock-tables, single-transaction, auto-detect, none
##
## flush-lock will run a FLUSH TABLES WITH READ LOCK prior to the backup
##
## lock-tables will instruct 'mysqldump' to lock all tables involved
## in the backup.
##
## None will completely disable locking. This is generally only viable
## on a MySQL slave and only after traffic has been diverted, or slave
## services suspended.
#lock-method         = flush-lock

## Whether or not to backup the largest tables first.
#biggestfirst        = yes

## Whether to record the binary log name and position at the time of the
## backup.
#binlogpos           = yes

## Which character set to use to conenct to MySQL with.
#charset             = utf8

## Either the number of rows to backup per file; or the size of the files
## if G, M, or k is specified after the number.
## Consult the Maatkit documentation on 'mk-parallel-dump' for more 
## information.
#chunksize           = 5000

## Database and table filtering. Note that this differs from the standard
## database filtering found in other providers! Consult the Maatkit 
## documentation on 'mk-parallel-dump' for more information.
#databases           = 
#ignoredb            = 
#dbregex             = 
#tables              = 
#tblregex            = 
#ignoretbl           = 

## Maatkit also supports engine filtering.
## FEDERATED,MRG_MyISAM are skipped by default
#ignoreengine        = FEDERATED,MRG_MyISAM

## The number of threads to use in the parallel backup operation.
#numthread           = 2

## Whether to stop the slave before commencing with the backup
#stopslave           = no

## Whether or not to run FLUSH LOGS before a backup. Be careful when using
## this option with setperdb as that can cause a number flushes to be 
## executed, which can hinder performance and create a large number of 
## binary logs.
#flushlog            = no

## Whether or not to compress the backups using gzip.
#gzip                = yes

## Whether or not to backup each database into its own file.
#setperdb            = no

## MySQL connection settings. Note that Holland will try ot read from
## the provided files defined in the 'defaults-extra-file', although 
## explicitly defining the connection information here will take precedence.
[mysql:client]
defaults-extra-file  = ~/.my.cnf,
#user                = hollandbackup
#password            = "hollandpw"
#socket              = /tmp/mysqld.sock
#host                = localhost
#port                = 3306
